com.gisgraphy.domain.geoloc.entity

## Class Language

- java.lang.Object
- - com.gisgraphy.domain.geoloc.entity.Language

-     public class Language
      extends Object

  Represents a spoken language
  Author:
    David Masclet
  See Also:
    List Of Languages

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Language()`
    `Language(String iso639LanguageName, String iso639Alpha2LanguageCode, String iso639Alpha3LanguageCode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getId()`
    `String` | `getIso639Alpha2LanguageCode()`
    `String` | `getIso639Alpha3LanguageCode()`
    `String` | `getIso639LanguageName()`
    `void` | `setId(Long id)`
    `void` | `setIso639Alpha2LanguageCode(String iso639Alpha2LanguageCode)`
    `void` | `setIso639Alpha3LanguageCode(String iso639Alpha3LanguageCode)`
    `void` | `setIso639LanguageName(String iso639LanguageName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Language

          public Language()

    - #### Language

          public Language(String iso639LanguageName,
                  String iso639Alpha2LanguageCode,
                  String iso639Alpha3LanguageCode)

      Parameters:
        `iso639LanguageName` - The iso 639 Language name for the current language
        `iso639Alpha2LanguageCode` - The iso 639 alpha-2 code for the current language
        `iso639Alpha3LanguageCode` - The iso 639 alpha-3 code for the current language

  - ### Method Detail

    - #### getId

          public Long getId()

      Returns:
        the datastore ID, it is not a domain value, just a technical one

    - #### getIso639Alpha2LanguageCode

          public String getIso639Alpha2LanguageCode()

      Returns:
        The iso 639 Alpha-2 letter code, if available

    - #### getIso639Alpha3LanguageCode

          public String getIso639Alpha3LanguageCode()

      Returns:
        ISO-3 lettter code. Must be present

    - #### getIso639LanguageName

          public String getIso639LanguageName()

      Returns:
        official ISO 639 name

    - #### setId

          public void setId(Long id)

      Parameters:
        `id` - The datastore id. You should never call this method. It is the responsibility of the dataStore
      See Also:
        `getId()`

    - #### setIso639Alpha2LanguageCode

          public void setIso639Alpha2LanguageCode(String iso639Alpha2LanguageCode)

      Parameters:
        `iso639Alpha2LanguageCode` -
      See Also:
        `getIso639Alpha2LanguageCode()`

    - #### setIso639Alpha3LanguageCode

          public void setIso639Alpha3LanguageCode(String iso639Alpha3LanguageCode)

      Parameters:
        `iso639Alpha3LanguageCode` -
      See Also:
        `getIso639Alpha3LanguageCode()`

    - #### setIso639LanguageName

          public void setIso639LanguageName(String iso639LanguageName)

      Parameters:
        `iso639LanguageName` -
      See Also:
        `getIso639LanguageName()`

Copyright © 2015. All rights reserved.